View Issue Details

IDProjectCategoryView StatusLast Update
0014686MediaMonkey 5Syncpublic2020-08-18 03:19
Reporterrusty Assigned To 
PriorityimmediateSeveritycrashReproducibilitysometimes
Status closedResolutionfixed 
Product Version5.0 
Target Version5.0Fixed in Version5.0 
Summary0014686: Sync to Google drive --> crash
DescriptionI was playing 'Searching' by the Hollies, and when that track was syncing (it was on the auto-sync list) to Google drive (while it was also playing) MM5 crashed. Note: I tried skipping the track while it was playing--that may have also contributed to the crash.

Debug log: 41CE47D4
TagsNo tags attached.
Fixed in build2093

Relationships

related to 0014664 closedLudek Crash on sync to Google Drive 
related to 0014690 closedLudek Failed Manual Sync to Google Drive / Uncaught error: "Cannot read property 'id' of undefined" 

Activities

rusty

2018-03-19 17:54

administrator   ~0049748

Upon testing again, the crash occurs simply by syncing a playlist to Google Drive.

Debug log: 41CED6C8

Ludek

2018-03-19 18:29

developer   ~0049750

Could you please send me content of
D:\PortableApps\MediaMonkey 5\Portable\Temp\MetadataStorages\v2\googleDrive9d7d68e3-4b5b-4846-a7f6-6e6c7f05a8fe\
from the time when the bug occurs?

Ludek

2018-03-20 11:36

developer   ~0049753

Last edited: 2018-03-20 11:37

View 3 revisions

For some reason there was one track with unknown sync_id in your main.db. I haven't found the exact reasons how it could get there, it was the very first track in the database so it could be there for some time. Nevertheless I added assertions and constraints so that this can no longer happen in 2092. I also found some further tweaks and issues during testing which forced me to adjust DB structure and foreign keys.

So in build 2092 the new DB is created under \v3\ and to see the metadata you will need to re-sync the tracks. i.e. you can test by deleting them from GDrive and re-sync.

rusty

2018-03-20 18:03

administrator   ~0049763

auto-sync after deleting the contents of the gdrive failed as shown in the attached dialog.

rusty

2018-03-20 18:03

administrator  

Ludek

2018-03-20 18:23

developer   ~0049765

Last edited: 2018-03-20 18:34

View 2 revisions

I am starting to understand your issues with Goggle Drive. You removed the items using Chrome, it seems to remove the items just to recycle bin in the Chrome. So the items are still there, but their parent changes to "Recycle bin", this is cause of the "id" error
i.e. I can replicate finally using "remove" in Chrome

Ludek

2018-03-20 19:42

developer   ~0049768

Fixed in 2093

peke

2018-03-21 02:56

developer   ~0049775

Verified 2093

peke

2020-08-18 03:19

developer   ~0059432

Verified 2264

Unable to replicate crash anymore.